/*----------------------------------------------------------------------
	This is part of the PureLS Source code.

	Copyright (C) 2000-2002 The PureLS Development Team

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
	USA
----------------------------------------------------------------------*/


#ifndef _INC_PLSUTIL
#define _INC_PLSUTIL

#ifndef SHELLAPI
#error Please include "./sdk/include/plsapi.h"
#endif

#ifdef __cplusplus
	extern "C" {
#endif

	/* PLSAPI - PureLS Utilities */
	SHELLAPI INT __cdecl MessageBoxPrintf ( UINT, LPCTSTR, LPCTSTR, ... );
	#ifdef _DEBUG
	SHELLAPI VOID __cdecl DebugPrintf ( BOOL, LPCTSTR, LPCTSTR, ... );
	#endif /*_DEBUG*/

#ifdef __cplusplus
	};
#endif

#endif /* _INC_PLSUTIL */
